optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputStage.SPI Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.SPI:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SelectInput (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| __init__ (self, int or None channel=0, board=None)
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x48 | channel
dict | input
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - SPI
    System ID: 0x48 through 0x4f

    +----------------+------+-------------+----------+--------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range  | Default | Comment                               |
    +================+======+=============+==========+========+=========+=======================================+
    | input          | 0x01 | uint 32-bit | None     | 0 to 5 | 0       | For both channel. See registers table |
    +----------------+------+-------------+----------+--------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.SPI.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoKummenberg.registers.InputStage.SPI.help | ( |  | ) |
| static

## ◆ SelectInput()

optoKummenberg.registers.InputStage.SPI.SelectInput | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.InputStage.SPI._readonly = False
| protected

## ◆ input

dict optoKummenberg.registers.InputStage.SPI.input

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': int,
'unit': None,
'range': [0, 5],
'default': 0,
'value': 0}

## ◆ sys_id

int optoKummenberg.registers.InputStage.SPI.sys_id = 0x48 | channel

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py